// Package define ...
//
// Description : define ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2024-06-25 16:24
package define

const (
	DefaultRedisPartitionNum      = 1
	DefaultRedisTopic             = "EVENT_TOPIC_C6DBE0AAE846C5C0DE35802107326B1E"
	DefaultRedisMessageBufferSize = 1024
	DefaultRedisCloseMaxWaitTime  = 5000 // 默认最大等待 : 5s
)

// RedisEventPubSubConfig redis事件配置
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 16:25 2024/6/25
type RedisEventPubSubConfig struct {
	Topic             string `json:"topic"`               // topic key, 不指定随机生成
	PartitionNum      int    `json:"partition_num"`       // 多少个分区, 默认值 : 1
	MessageBufferSize int    `json:"message_buffer_size"` // 消息缓冲区大小
	CloseMaxWaitTime  int    `json:"close_max_wait_time"` // 关闭消息实例, 最大等待时长, 单位 : ms
}
